package org.zeroturnaround.javarebel.support;

import java.io.File;
import java.net.MalformedURLException;
import org.zeroturnaround.javarebel.ClassFileSource;
import org.zeroturnaround.javarebel.ClassResource;
import org.zeroturnaround.javarebel.ClassResourceSource;

public class ClassFileSourceAdapter implements ClassResourceSource {
  private ClassFileSource cfs;
  public ClassFileSourceAdapter(ClassFileSource cfs) {
    super();
    this.cfs = cfs;
  }
  
  public ClassResource getClassResource(String className) {
    File file = cfs.getClassFile(className);
    
    if (file == null) return null;
    
    try {
      return new FileClassResource(file.toURI().toURL());
    } 
    catch (MalformedURLException e) {
      throw new RuntimeException(e);
    }
  }
}
